Fix the autoaligner to use the new waveforms cache generator and GES Assets
Closed, ResolvedPublic

Description

We had a working automatic clip alignment feature in 0.15.x, which used Pitivi's audio waveforms processing module... however, this module has been replaced by a faster, better, stronger (more precise) module that happens to have a part of it written in C for performance (see "pitivi/coptimizations/renderer.c" and the way we use it in pitivi/timeline/previewers.py).

We need to port autoaligner.py to it, and also to use GES Assets (that part should be trivial).

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=708401

jeff claimed this task.Sep 19 2013, 7:16 PM
jeff created this task.
jeff added a subscriber: jeff.

As is, the current code in coptimizations is only used for transforming the one dimensional data obtained through the "level" element into a two dimensional cairo surface.

The level generation is done in python, and the waveforms data is pickled in ~/.cache/pitivi/waves .

What must be done is find a way make the aligner use that data, if necessary creating it itself, and avoiding races with the waveform's code, so you might want to rephrase the report to remove the mention to coptimizations.

pitivi-maint triaged this task as Low priority.Sep 19 2013, 7:16 PM
pitivi-maint claimed this task.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
N3WWN added a subscriber: N3WWN.Apr 27 2017, 12:46 PM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1345.

csoriano1618 closed this task as Closed.Feb 23 2018, 9:40 PM
csoriano1618 claimed this task.